io.milvus.param.index

## Class AlterIndexParam.Builder

- java.lang.Object
- - io.milvus.param.index.AlterIndexParam.Builder

- Enclosing class:
    AlterIndexParam

      public static final class AlterIndexParam.Builder
      extends java.lang.Object

  Builder for `AlterIndexParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlterIndexParam` | `build()` Verifies parameters and creates a new `AlterIndexParam` instance.
    `AlterIndexParam.Builder` | `withCollectionName(@NonNull java.lang.String collectionName)` Set the collection name.
    `AlterIndexParam.Builder` | `withDatabaseName(java.lang.String databaseName)` Sets the database name.
    `AlterIndexParam.Builder` | `withIndexName(@NonNull java.lang.String indexName)` Set the index name.
    `AlterIndexParam.Builder` | `withMMapEnabled(boolean enabledMMap)` Enable MMap or not for index data files.
    `AlterIndexParam.Builder` | `withProperty(@NonNull java.lang.String key, @NonNull java.lang.String value)` Basic method to set a key-value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionName

          public AlterIndexParam.Builder withCollectionName(@NonNull
                                                            @NonNull java.lang.String collectionName)

      Set the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withDatabaseName

          public AlterIndexParam.Builder withDatabaseName(java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withIndexName

          public AlterIndexParam.Builder withIndexName(@NonNull
                                                       @NonNull java.lang.String indexName)

      Set the index name. Index name cannot be empty or null.
      Parameters:
        `indexName` - index name
      Returns:
        `Builder`

    - #### withMMapEnabled

          public AlterIndexParam.Builder withMMapEnabled(boolean enabledMMap)

      Enable MMap or not for index data files.
      Parameters:
        `enabledMMap` - enabled or not
      Returns:
        `Builder`

    - #### withProperty

          public AlterIndexParam.Builder withProperty(@NonNull
                                                      @NonNull java.lang.String key,
                                                      @NonNull
                                                      @NonNull java.lang.String value)

      Basic method to set a key-value property.
      Parameters:
        `key` - the key
        `value` - the value
      Returns:
        `Builder`

    - #### build

          public AlterIndexParam build()
                                throws ParamException

      Verifies parameters and creates a new `AlterIndexParam` instance.
      Returns:
        `AlterIndexParam`
      Throws:
        `ParamException`